Page MenuHomePhabricator

non sms alternatives
Closed, InvalidPublic

Description

@coren listed one non-SMS alternative. Rather than dismiss them out of hand, I rather list them off on a sub-task and give reasoning for decisions.

In T107932#1659862, @coren wrote:

I know some may find the suggestion heretical, but perhaps moving away from SMS entirely to use another model might be worth exploring?
https://pushover.net/ is one such service that I have been using with lots of success in the past. It's not Libre, but it works and supports pretty much any mobile device.

Was the one vendor listed so far. I'll note that PagerDuty and VictorOps all do data push or SMS notification as well.

Related Objects

StatusSubtypeAssignedTask
ResolvedRobH
InvalidNone

Event Timeline

RobH created this task.Oct 5 2015, 3:21 PM
RobH claimed this task.
RobH raised the priority of this task from to High.
RobH updated the task description. (Show Details)
RobH changed the visibility from "Public (No Login Required)" to "Custom Policy".
RobH changed the edit policy from "All Users" to "Custom Policy".
RobH added subscribers: coren, Matanya, RobH and 3 others.

My understanding is we rather not have ONLY data based notifications, since in many places cellular coverage is spotty, and SMS messages take less data coverage to hit a device (as well as typically having lower roaming rates.)

The trade off is with data push/acknowledge we would have a much more trustworthy confirmation of alert delivery. SMS portals have mis-reported delivered messages in the past (smsglobal) but we have not had that experience yet with AQL (that we are aware of.)

coren added a comment.Oct 5 2015, 3:50 PM

At least some vendors will give you async delivery - one might not get the message when out of coverage but you'd then get it as soon as you are back. That may be a plus in many cases (though also arguably a minus if you get outdated alerts).

Dzahn added a subscriber: Dzahn.Oct 6 2015, 10:48 PM

there is another thing that does not require data and is not a SMS. actual phone calls. some systems, incl. watchmouse actually support this. you get a call and a computer voice speaks. but .. yea , not sure we really want that ?:)

i would not recommend to rely on data coverage. I often disable data to save battery and find it really useful that this does not influence getting monitoring notifications. i also dont have data if i drive up into the mountains. then you might argue that you can't do much to react to an alert if you don't have data anyways.. but at least you can call others.

RobH removed RobH as the assignee of this task.Oct 14 2015, 1:59 PM

I wouldn't want to rely on data instead of SMS alerts. Some parts of apartments have horrible data, but SMS works. Thus, I can easily be in a situation where my phone isn't on data, but if I get an SMS I can pull out my laptop and Mifi and go to work.

That being said, I think offering both (chosen by opsen who recieves the messages) methods would be nice; but not nice enough to waste a lot of cycles working on it. (In particular if we only have one opsen in 20 who want this.)

RobH removed a project: WMF-NDA.Oct 14 2015, 2:01 PM
RobH set Security to None.
RobH changed the visibility from "Custom Policy" to "Public (No Login Required)".
RobH changed the edit policy from "Custom Policy" to "All Users".
coren added a comment.Oct 14 2015, 2:06 PM

The reason why I like data-based altering (in addition to/with SMS) is that it tends to work better when you have intermittent coverage (because of the way it works, with positive ack, means that you'll get alerts asynchronously in that case).

RobH lowered the priority of this task from High to Low.EditedOct 29 2015, 5:33 PM

Edit Clarification: All the below is my understanding of the cellular network, citation needed.

SMS messages require less connectivity overall than data in my experience. SMS is sent over the control channel, which is used for both voice calls and data side transmissions to setup the data side communication. So SMS can be sent over the very handshake that is used to begin the data connection.

That being said, we don't have near concensus on this task. However, in ops no one seems to have the bandwidth to take over this particular project (testing various data side notifications of icinga alerting) at this particular moment.

I'm moving the priority of this to low and leaving it open but up for grabs. If anyone in ops wants to try out some of the alternatives to SMS alerting, they can steal the task.

CDanis added a subscriber: CDanis.Apr 17 2019, 4:56 PM
fgiunchedi closed this task as Invalid.Dec 10 2019, 2:08 PM
fgiunchedi added a subscriber: fgiunchedi.

We'll indeed be investigating non-SMS alternatives as a requirement for pages escalation, resolving but please reopen if needed!